
// 每个tab的页码
var pageNum=0, pageNumArea=0, pageNumUser=0, pageNumTime=0;
// 每个tab页的下拉对象
var tab1_self = null, tab2_self = null, tab3_self = null, tab4_self = null;

mui.init({
	swipeBack:false //启用右滑关闭功能
});


//通过jsapi选择企业联系人
function selectEnterpriseContact(type){
	var seltype = [];
	seltype.push(type);
	
	var select_deptIds = '', select_userIds = '';
	var select_deptNames = '', select_userNames = '';

	wx.invoke("selectEnterpriseContact", {
     "fromDepartmentId": -1,// 必填，表示打开的通讯录从指定的部门开始展示，-1表示自己所在部门开始, 0表示从最上层开始
		"mode": "single",	// 必填，选择模式，single表示单选，multi表示多选
	//	"type": ["department", "user"],// 必填，选择限制类型，指定department、user中的一个或者多个
		"type": seltype,
     "selectedDepartmentIds": [],// 非必填，已选部门ID列表。用于多次选人时可重入，single模式下请勿填入多个id
     "selectedUserIds": []	// 非必填，已选用户ID列表。用于多次选人时可重入，single模式下请勿填入多个id
        },function(res){
      		if(!(res.err_msg == "selectEnterpriseContact:ok")){
      			alert('获取企业微信联系人失败 ......');
      			return;
      		}
       		if(typeof res.result == 'string'){
          		res.result = JSON.parse(res.result) // 由于目前各个终端尚未完全兼容，需要开发者额外判断result类型以保证在各个终端的兼容性
       		}
       		
       		if(seltype == 'department'){ // 选择部门
       			var selectedDepartmentList = res.result.departmentList;// 已选的部门列表
           		for (var i = 0; i < selectedDepartmentList.length; i++){
              		var department = selectedDepartmentList[i];
              		var departmentId = department.id;// 已选的单个部门ID
               		var departemntName = department.name;// 已选的单个部门名称
               		select_deptIds += ((select_deptIds=='')?'':',') + departmentId;
               		select_deptNames += ((select_deptNames=='')?'':', ') + departemntName;
               		$('#s_departmentid').val(select_deptIds);
               		$('#s_departmentname').val(select_deptNames);
              	}
       		}else{ // 选择用户
       			var selectedUserList = res.result.userList; // 已选的成员列表
              	for (var i = 0; i < selectedUserList.length; i++){
              		var user = selectedUserList[i];
                  	var userId = user.id; // 已选的单个成员ID
               		var userName = user.name;// 已选的单个成员名称
                  	var userAvatar= user.avatar;// 已选的单个成员头像
              		select_userIds += ((select_userIds=='')?'':',') + userId;
              		select_userNames += ((select_userNames=='')?'':', ') + userName;
              		$('#s_userid').val(select_userIds);
              		$('#s_username').val(select_userNames);
      			}
       		}
		}
	);
}

(function ($) {
    $('.mui-scroll-wrapper').scroll({
        bounce: false,		// 是否启用回弹
        indicators: true, 	// 是否显示滚动条
        deceleration: mui.os.ios ? 0.003 : 0.0009 // 阻尼系数
    });
    
    //因为是四个不同的区块，每一个页数不一样，所以要存不同的页数
    
    $.ready(function () {
        //循环初始化所有下拉刷新，上拉加载。
        $.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function (index, pullRefreshEl) {
            $(pullRefreshEl).pullToRefresh({
                up: {
                    auto: true, //自动执行一次上拉加载，可选；
                    show: false, //显示底部上拉加载提示信息，可选；      
                    contentrefresh: '正在加载...', //上拉进行中提示信息
                    contentnomore: '没有更多数据了', //上拉无更多信息时提示信息
                    callback:function () {
                  		var self = this;
                        setTimeout(function () {
                        	//获取四个不同的区块显示的位置
                            if(index == 0){//全部选项卡的index是0，当显示它的时候，滑动页面加1，调数据，以下以此类推
                                pageNum++;
                               // getProjectList(pageNum, self);
                                tab1_self = self;
                            }else if(index == 1){
                           		pageNumArea++;
                           	//	getProjectListByArea(pageNumArea,self);
                           		tab2_self = self;
                            }else if(index == 2){
                             	pageNumUser++;
                            // 	getProjectListByUser(pageNumUser,self)
                             	tab3_self = self;
                            }else if(index == 3){
                            	pageNumTime++;
                            //	getProjectListByTime(pageNumTime,self);
                            	tab4_self = self;
                            }
                        }, 1000);
                    }
                }
            });
        });

    });
})(mui);


var pieChart = null;

$(function(){
	getJsConfig(); // 微信JS授权接口
	
	// 底部tab选项卡点击事件
	mui('#nav-bar-tab').on('tap', '.mui-tab-item', function(e) {
		var id = $(this).attr('id');
		if(id == 'tab1'){
			if(pieChart == null)pieChart = echarts.init(document.getElementById('pieChart'));
			getAreaProjectNumData();
			console.log('getAreaProjectNumData ......')
		}else if(id == 'tab2'){
			pageNumArea=1;
		//	getProjectListByArea(pageNumArea,tab2_self);
		}else if(id == 'tab3'){
			pageNumUser=1;
		//	getProjectListByUser(pageNumUser,tab3_self)
		}else if(id == 'tab4'){
		//	pageNumTime=1;
		//	getProjectListByTime(pageNumTime,tab4_self);
		}
	});
	
	
	// 按区域查找点击区域切换
	mui("#tab_type_area .mui-segmented-control").on('tap','.mui-control-item',function(){
		$('#tab_type_area .mui-segmented-control .mui-control-item').each(function(){
			$(this).removeClass('mui-active');
		});
		$(this).addClass('mui-active');
		pageNumArea = 1;
		getProjectListByArea(pageNumArea, null);
	});
	
	
	// 从企业通讯录选择部门或者联系人
	$('.selectqycontact').click(function(){
		var btnid = $(this).attr('id');
		var type = (btnid == 'btn_selectqydept') ? 'department' : 'user';
		selectEnterpriseContact(type);
	});
	
	// 清空已选择的部门或联系人
	$('.btn-clear').click(function(){
		var btnid = $(this).attr('id');
		if(btnid == 'btn_clearqydept'){
			$('#s_departmentid').val('');
			$('#s_departmentname').val('');
		}else if(btnid == 'btn_clearqyuser'){
			$('#s_userid').val('');
			$('#s_username').val('');
		}
	});
	
	// 按用户/部门查找搜索按钮
	$('#btn_tab_user_search').click(function(){
		pageNumUser=1;
		getProjectListByUser(pageNumUser,null);
	});
	
	// 按时间查找搜索按钮
	$('#btn_tab_time_search').click(function(){
		pageNumTime=1;
		getProjectListByTime(pageNumTime,null);
	});
	
	
	// 初始化时间控件
	var startDate=new Date();
	startDate.setDate(startDate.getDate()-7);//设置天数 -7天
	$('#s_starttime').val(formatDate(startDate.getTime(),'yyyy-MM-dd'));
	$('#s_endtime').val(formatDate((new Date()).getTime(),'yyyy-MM-dd'));
	mui(".mui-control-content").on('tap','#s_starttime',function(){
		var picker = new mui.DtPicker({
			"type":"date",
			beginDate: new Date(2018, 06, 01), //设置开始日期
			endDate: new Date()	// 设置结束日期
		});
		picker.show(function(rs) {
			$('#s_starttime').val(rs.value);
		});
	});
	mui(".mui-control-content").on('tap','#s_endtime',function(){
		var picker = new mui.DtPicker({
			"type":"date",
			beginDate: new Date(2018, 06, 01), //设置开始日期
			endDate: new Date()	// 设置结束日期
		});
		picker.show(function(rs) {
			$('#s_endtime').val(rs.value);
		});
	});
	
}); // end with $(function()


